import * as vue from 'vue';

/**
 * Generates a unique id
 *
 * @param id external ID provided by consumer/user.
 * @param prefix prefix to append before the id
 */
declare const useId: (id?: string, prefix?: string) => vue.ComputedRef<string>;
/**
 * Hook to generate ids for use in compound components
 *
 * @param id the external id passed from the user
 * @param prefixes array of prefixes to use
 */
declare function useIds(id?: string, ...prefixes: string[]): vue.ComputedRef<string>[];

export { useId, useIds };
